# $Revision: 1.28 $, $Date: 2011/08/25 07:26:50 $
%define		libfm	0.1.16
Summary:	File manager for GTK
Summary(pl.UTF-8):	Zarządca plików dla GTK
Name:		pcmanfm
Version:	0.9.9
Release:	3
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.gz
# Source0-md5:	f31ed6defb600f7046a456220d8efa3a
Patch0:		%{name}-werror.patch
URL:		http://pcmanfm.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.31
BuildRequires:	fam-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.8
BuildRequires:	hal-devel >= 0.5.0
BuildRequires:	intltool
BuildRequires:	libfm-devel >= %{libfm}
BuildRequires:	libtool
BuildRequires:	menu-cache-devel >= 0.3.2
BuildRequires:	pkgconfig
BuildRequires:	startup-notification-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires:	libfm >= %{libfm}
Suggests:	gnome-icon-theme
Suggests:	lxde-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pcmanfm is a fast and lightweight file manager which features tabbed
browsing and user-friendly interface.

%description -l pl.UTF-8
pcmanfm jest szybkim i lekkim zarządcą plików z przyjaznym interfejsem
użytkownika, umożliwiającym przeglądanie katalogów w zakładkach.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# see lxde-common
install -d $RPM_BUILD_ROOT/etc/xdg/pcmanfm/LXDE

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/tt_RU

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS TODO
%dir /etc/xdg/pcmanfm
%dir /etc/xdg/pcmanfm/default
%dir /etc/xdg/pcmanfm/LXDE
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/pcmanfm/default/pcmanfm.conf
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ui
%{_desktopdir}/%{name}*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcmanfm.spec,v $
Revision 1.28  2011/08/25 07:26:50  glen
- works fine with lxde icon theme only

Revision 1.27  2011/08/15 07:25:44  glen
- fix locales, package config dirs and file; rel 2

Revision 1.26  2011/08/14 13:16:29  glen
- up to 0.9.9

Revision 1.25  2011/04/26 20:53:40  glen
- use libfm git snapshot to resolve several issues; rel 2

Revision 1.24  2010/12/06 10:54:48  lisu
- up to 0.9.8
- BR: menu-cache-devel >= 0.3.2
- minimal version of libfm-devel is 0.1.14

Revision 1.23  2010/07/31 07:40:44  witekfl
- up to 0.9.7
- I can't see icons, don't know why

Revision 1.22  2010/07/30 14:53:53  glen
- BR: gettext-devel
- adapter

Revision 1.21  2008/10/25 09:40:14  megabajt
- fixed locales (no -> nb)
- revised deps
- release 2

Revision 1.20  2008/08/27 10:18:14  cactus
- up to 0.5 (stable)

Revision 1.19  2008/05/09 17:55:39  qboosh
- missing dir

Revision 1.18  2008-05-09 15:35:56  glen
- up to 0.4.0 version by Krzysztof Lewczuk <tomipnh@gmail.com>

Revision 1.17  2008-04-24 11:46:43  glen
- pt_PT -> pt; rel 2

Revision 1.16  2008-04-02 21:21:47  prism
- added BR: libselinux-devel

Revision 1.15  2008-04-02 13:56:16  prism
- 0.3.6

Revision 1.14  2008-03-13 21:23:45  glen
- fix sv locale dir; rel 2

Revision 1.13  2008-01-30 21:01:59  cactus
- up to 0.3.2.2
- BR: startup-notification-devel

Revision 1.12  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.10  2006/08/01 12:22:28  zboczuch
- up to 0.2.4

Revision 1.9  2006/03/20 14:44:17  zboczuch
- up to 0.2.3

Revision 1.8  2006/02/20 07:06:28  zboczuch
- up to 0.2.1
- works fine with both fam and gamin, use virtual dependency provided by
  both packages

Revision 1.7  2006/02/17 16:04:17  zboczuch
- up to 0.1.9.9
- no need for external desktop file (already present in tarball)

Revision 1.6  2006/02/10 22:29:37  zboczuch
- R: gnome-icon-theme, shared-mime-info (according to info provided
  on home website)
- rel. 2

Revision 1.5  2006/02/09 09:46:19  zboczuch
- up to 0.1.9.8

Revision 1.4  2006/02/02 07:40:07  zboczuch
- up to 0.1.9.5
- removed empty doc files

Revision 1.3  2006/02/01 20:27:59  zboczuch
- added simple desktop file based on nautilus one
- rel. 1

Revision 1.2  2006/01/30 20:44:10  qboosh
- gtk+ BR fix

Revision 1.1  2006/01/30 13:40:20  zboczuch
- initial
